%define name jack
%define version 2.99.9
%define release 4mdk
%define pyversion 2.3

Summary: Extract audio from a CD and encode it using 3rd party software
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libpython-devel >= %pyversion
BuildRequires: python-ID3 
BuildRequires: python-CDDB
BuildRequires: pyvorbis >= 1.0
BuildRequires: libncurses-devel
Requires: python python-ID3 python-CDDB vorbis-tools 
Requires: pyvorbis >= 1.0
URL: http://www.home.unix-ag.org/arne/jack/

%description
Jack has been developed with one main goal: making MP3s without having
to worry. There is nearly no way that an incomplete rip goes
unnotices, e.g. jack compares WAV and MP3 filesizes when continuing
from a previous run. Jack also checks your HD space before doing
anything (even keeps some MB free).

It support other formats as ogg-vorbis.

You can take a look at jack working, there are even some explanations.


%prep
%setup -q

%build
python setup-cursesmodule.py build
python -c "import jack_CDTime"
python -c "import jack_misc"
python -c "import jack_mp3"
python -c "import jack_TOCentry"
python -c "import jack_TOC"

%install
rm -rf $RPM_BUILD_ROOT
python setup-cursesmodule.py install --root %buildroot
mkdir -p %buildroot%_bindir
install -m 755 jack %buildroot%_bindir
cp jack_* %buildroot%_libdir/python%{pyversion}/site-packages/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/* README
%_bindir/jack
%_libdir/python%{pyversion}/site-packages/*

%changelog
* Sat Aug  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.99.9-4mdk
- drop prefix
- new python

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.99.9-3mdk
- fix buildrequires

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.99.9-2mdk
- rebuild

* Wed Oct 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.99.9-1mdk
- require vorbis wrapper version 1.0
- 2.99.9

* Mon Jul  1 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.99.8-4mdk
- require pyvorbis for tagging of ogg files
- require oggenc to work out of the box

* Fri Jun 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.99.8-3mdk
- plf => mdk (sorry Goetz)
- add desc it support ogg.

* Fri Jun 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.99.8-1plf
- mdk => plf

* Wed Jun 12 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.99.8-2mdk
- Fix buildrequires on python (<= not =)

* Tue Apr 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.99.8-1mdk
- 2.99.8
- remove patch

* Thu Feb  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.99.7-3mdk
- add a fix from cvs for a bug affecting oggenc

* Sun Jan  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.99.7-2mdk
- python 2.2
- updated BuildRequires

* Mon Nov 26 2001 Gtz Waschk <waschk@linux-mandrake.com> 2.99.7-1mdk
- initial package
